Bug 1001199 - Default Custom Info: System and Distributor default custom info does not delete if the custom info has html characters
Default Custom Info: System and Distributor default custom info does not dele...
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Price
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
Reported: 2013-08-26 13:12 EDT by sthirugn@redhat.com
Modified: 2013-10-01 07:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-01 07:21:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sthirugn: automate_bug? (jweiss)

Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2013-08-26 13:12:27 EDT
Description of problem:
System and Distributor default custom info does not delete if the custom info has html characters

Version-Release number of selected component (if applicable):
* candlepin-0.8.21-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.21-1.el6sam.noarch
* candlepin-tomcat6-0.8.21-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-8.el6sat.noarch
* katello-cli-common-1.4.3-8.el6sat.noarch
* katello-common-1.4.3-9.el6sam_splice.noarch
* katello-configure-1.4.4-3.el6sat.noarch
* katello-glue-candlepin-1.4.3-9.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-9.el6sam_splice.noarch
* katello-headpin-1.4.3-9.el6sam_splice.noarch
* katello-headpin-all-1.4.3-9.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.32-1.el6sam.noarch
* thumbslug-selinux-0.0.32-1.el6sam.noarch

How reproducible:

Steps to Reproduce:
1. Navigate to SAM UI -> Administer -> Organizations -> Select an Organization -> Default Custom Info -> Distributor Default Custom Info (or System Default Custom Info0
2. Add a default custom info key <blink>hi</blink>
3. Try to delete the key added in Step 2 by clicking Remove button

Actual results:
The custom info is not deleted. (Also no error thrown to the user)

Expected results:
The custom info should be deleted.

Additional info:
Please fix the following for this issue:
1. System Default Custom Info
2. Distributor Default Custom Info
Comment 1 sthirugn@redhat.com 2013-08-26 13:19:07 EDT
Please fix the cli commands as well.

#org default_info remove --name="testorg" --keyname="<blink>hi</blink>" --type="system"
Resource not found on the server
Comment 2 Adam Price 2013-08-28 13:45:09 EDT
Comment 4 sthirugn@redhat.com 2013-09-05 17:17:44 EDT
Verified for the Web UI.  Failed for CLI - Bug 1004961 is created

* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-10.el6sat.noarch
* katello-cli-common-1.4.3-10.el6sat.noarch
* katello-common-1.4.3-12.el6sam_splice.noarch
* katello-configure-1.4.4-4.el6sat.noarch
* katello-glue-candlepin-1.4.3-12.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-12.el6sam_splice.noarch
* katello-headpin-1.4.3-12.el6sam_splice.noarch
* katello-headpin-all-1.4.3-12.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.34-1.el6sam.noarch
* thumbslug-selinux-0.0.34-1.el6sam.noarch
Comment 6 errata-xmlrpc 2013-10-01 07:21:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.